be.fgov.ehealth.technicalconnector.ra.domain

## Class GeneratedContract

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.domain.GeneratedContract

- All Implemented Interfaces:
    Serializable

      public final class GeneratedContract
      extends Object
      implements Serializable

  Represennts a generated contract to be used to obtain a certificate
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedContract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContactData` | `getContactData()`
    `String` | `getDN()`
    `IdentifierType` | `getIdentifierType()`
    `Actor` | `getSigner()`
    `LocalizedText` | `getText()`
    `boolean` | `isContractViewed()`
    `void` | `setContactData(ContactData contactData)`
    `void` | `setContractViewed(boolean contractViewed)`
    `void` | `setDN(String dn)`
    `void` | `setIdentifierType(IdentifierType identifierType)`
    `void` | `setSigner(Actor signer)`
    `void` | `setText(LocalizedText text)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratedContract

          public GeneratedContract()

  - ### Method Detail

    - #### getDN

          public String getDN()

    - #### setDN

          public void setDN(String dn)

    - #### getSigner

          public Actor getSigner()

    - #### setSigner

          public void setSigner(Actor signer)

    - #### getText

          public LocalizedText getText()

    - #### setText

          public void setText(LocalizedText text)

    - #### getContactData

          public ContactData getContactData()

    - #### setContactData

          public void setContactData(ContactData contactData)

    - #### getIdentifierType

          public IdentifierType getIdentifierType()

    - #### setIdentifierType

          public void setIdentifierType(IdentifierType identifierType)

    - #### isContractViewed

          public boolean isContractViewed()

    - #### setContractViewed

          public void setContractViewed(boolean contractViewed)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.